package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxInstrumentSerial;

import java.util.List;

/**
 * 仪器序列号关联Mapper接口
 *
 * @author flossom
 * @date 2024-01-10
 */
public interface WxInstrumentSerialMapper
{
    /**
     * 查询仪器序列号关联
     *
     * @param id 仪器序列号关联主键
     * @return 仪器序列号关联
     */
    public WxInstrumentSerial selectWxInstrumentSerialById(Long id);

    /**
     * 查询仪器序列号关联列表
     *
     * @param wxInstrumentSerial 仪器序列号关联
     * @return 仪器序列号关联集合
     */
    public List<WxInstrumentSerial> selectWxInstrumentSerialList(WxInstrumentSerial wxInstrumentSerial);

    /**
     * 新增仪器序列号关联
     *
     * @param wxInstrumentSerial 仪器序列号关联
     * @return 结果
     */
    public int insertWxInstrumentSerial(WxInstrumentSerial wxInstrumentSerial);

    /**
     * 修改仪器序列号关联
     *
     * @param wxInstrumentSerial 仪器序列号关联
     * @return 结果
     */
    public int updateWxInstrumentSerial(WxInstrumentSerial wxInstrumentSerial);

    /**
     * 删除仪器序列号关联
     *
     * @param id 仪器序列号关联主键
     * @return 结果
     */
    public int deleteWxInstrumentSerialById(Long id);

    /**
     * 批量删除仪器序列号关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxInstrumentSerialByIds(Long[] ids);

    /**
     * 全量删除数据
     *
     * @return 结果
     */
    public int deleteAll();

    /**
     * 全量更新状态
     *
     * @return 结果
     */
    public int updateAll(WxInstrumentSerial wxInstrumentSerial);

    WxInstrumentSerial selectEntityListBySerial(WxInstrumentSerial wxInstrumentSerial);

    void updateBySerial(WxInstrumentSerial wxInstrumentSerial);
}
